import acad.*;
import com.ms.com.*;
  public class priklad1
  {
    public static void main(String args[])
    {

      // deklarace objektu Application, objektu Active Document a objektu Model Space
      IAcadApplication IApp = (IAcadApplication) new AcadApplication();
      IApp.putVisible(true);
      IAcadDocument IDoc = (IAcadDocument) IApp.getActiveDocument();
      IAcadUtility IUtil = (IAcadUtility) IDoc.getUtility();
      IAcadModelSpace IMSpace = (IAcadModelSpace) IDoc.getModelSpace();

      Variant opt = new Variant();
      opt.VariantClear();
      opt.noParam();
      Variant vPt1 = new Variant(); // vytvoen objektu pro zadan bodu1
      Variant vPt2 = new Variant(); // vytvoen objektu pro zadan bodu2
      vPt1.VariantClear();          // vymazn objektu pro zadni bodu
      vPt2.VariantClear();          // vymazn objektu pro zadni bodu
      int hr = 0;                   // pomocn promnn, kontrolujc 
                                         // jestli dolo k chyb
      Variant prompt = new Variant();

      try            // blok kdu, v kterm se kontroluje vskyt chyby
      {               // zadn prvnho bodu
        prompt.putString("Zadej prvn bod ===>");
        vPt1 = IUtil.GetPoint(opt, prompt);
      }              // odchycen vygenerovan chyby
      catch (ComException e)
      {              // nastaven pomocn promnn
        hr = e.getHResult();
      }
      if (hr == 0)
      {
        try            // blok kdu, v kterm se kontroluje vskyt chyby
        {               // zadn druhho bodu
          prompt.putString("Zadej druh bod ===>");
          vPt2 = IUtil.GetPoint(vPt1, prompt);
        }              // odchycen vygenerovan chyby
        catch (ComException e)
        {              // nastaven pomocn promnn
          hr = e.getHResult();
        }
      }

      IAcadLine ILine;    // objekt ra
      IAcadCircle ICir;    // objekt krunice
      IAcadArc IArc;       // objekt vse
      if (hr == 0)        // nebyli vygenerovny dn vjimky, 
      {                         // meme kreslit objekty 
        ILine = (IAcadLine) IMSpace.AddLine(vPt1, vPt2); 
                                      // vykreslen ry
        ILine.putColor(2);    // nastaven barvy
        ICir = (IAcadCircle) IMSpace.AddCircle(vPt1, 2.5);
                                             // vykreslen krunice
        ICir.putColor(3);       // nastaven barvy
        IArc = (IAcadArc) IMSpace.AddArc(vPt2, 2.5, 0.707, 1.414);
                                             // vykreslen vsee
        IArc.putColor(4);     // nastaven barvy
      }
    }
  }